package cd.casic.ci.process.process.service.variable.impl;

import cd.casic.ci.process.engine.constant.AFLSlotCompileConstant;
import cd.casic.ci.process.engine.manager.RunContextManager;
import cd.casic.ci.process.engine.runContext.BaseRunContext;
import cd.casic.ci.process.process.service.variable.VariableService;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;

import java.util.Map;

@Service
public class VariableServiceImpl implements VariableService {
    @Resource
    private RunContextManager contextManager;
    @Override
    public Object getPipelineContextGlobalVariable(String pipelineId, String varName) {
        BaseRunContext context = contextManager.getContext(pipelineId);
        if (context== null) {
            return "";
        }
        Map<String, Object> globalVariables = context.getGlobalVariables();
        return globalVariables.get(varName);
    }
}
